=head1 NAME

  Kwiki::CachedDisplay - Speed-up Kwiki page display by caching

=head1 SYNOPSIS

  kwiki -add Kwiki::CachedDisplay

=head1 DESCRIPTION

This module use pre-generated page upon rendering, so that each
successive page-rendering takes no time in parsing and
template-processing. After you install this plugin, new pages will
automatically have pre-generated HTML copies on disk.  HTML copies for
old pages will be generated by next time anyone visit them.

If somehow you want to remove the generated HTML pages, they are under
C<plugin/cached_display> directory.

If there are some pages that you never want it to be cached, edit
your C<config.yaml> and add a new list called C<cached_display_ignore>.
For example:

    cached_display_ignore:
    - SandBox
    - HomePage

That would simply not cache SandBox and HomePage.

If you want to flush the cache if on the condition that one specific page in
the setup has changed, you can define the names of these special pages in

    cached_display_dependencies:
    - KwikiNavBar

This would mean that the cache would be invalidated whenever the KwikiNavBar
page is changed.

=head1 METHODS

=over

=item register

Kwiki Plugin registration routine.

=item check_cached

A pre hook routine of the display method in your display class (In most cases,
it is Kwiki::Display::display.) It checked whether the cache of the requested
page are out-of-dated or not, and regenerate it on necessary.

=back

=head1 COPYRIGHT

Copyright 2005 by Kang-min Liu <gugod@gugod.org>.

This program is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>
